be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDORTHOTECHREVISIONvalues

- java.lang.Object
- - java.lang.Enum<CDORTHOTECHREVISIONvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDORTHOTECHREVISIONvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDORTHOTECHREVISIONvalues>

      public enum CDORTHOTECHREVISIONvalues
      extends Enum<CDORTHOTECHREVISIONvalues>

  Java class for CD-ORTHO-TECHREVISIONvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ORTHO-TECHREVISIONvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="femoralheadneck"/>
           <enumeration value="femoralcomplete"/>
           <enumeration value="acetabularinsert"/>
           <enumeration value="acetabularcomplete"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACETABULARCOMPLETE`
    `ACETABULARINSERT`
    `FEMORALCOMPLETE`
    `FEMORALHEADNECK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDORTHOTECHREVISIONvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDORTHOTECHREVISIONvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDORTHOTECHREVISIONvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FEMORALHEADNECK

          public static final CDORTHOTECHREVISIONvalues FEMORALHEADNECK

    - #### FEMORALCOMPLETE

          public static final CDORTHOTECHREVISIONvalues FEMORALCOMPLETE

    - #### ACETABULARINSERT

          public static final CDORTHOTECHREVISIONvalues ACETABULARINSERT

    - #### ACETABULARCOMPLETE

          public static final CDORTHOTECHREVISIONvalues ACETABULARCOMPLETE

  - ### Method Detail

    - #### values

          public static CDORTHOTECHREVISIONvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDORTHOTECHREVISIONvalues c : CDORTHOTECHREVISIONvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDORTHOTECHREVISIONvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDORTHOTECHREVISIONvalues fromValue(String v)

Connector Packaging generic 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.